diff --git a/client/tests/kvm/unattended/win2003-32.sif b/client/tests/kvm/unattended/win2003-32.sif
index 5c90b03..85d4694 100644
--- a/client/tests/kvm/unattended/win2003-32.sif
+++ b/client/tests/kvm/unattended/win2003-32.sif
@@ -1,42 +1,38 @@
 [Data]
-AutoPartition = 1
-MsDosInitiated = 0
-UnattendedInstall = Yes
+    AutoPartition = 1
+    MsDosInitiated = 0
+    UnattendedInstall = Yes
 
 [Unattended]
-UnattendMode = FullUnattended
-OemSkipEula = Yes
-OemPreinstall = No
-UnattendSwitch = Yes
-CrashDumpSetting = 1
-DriverSigningPolicy = ignore
-WaitForReboot = no
-Repartition = yes
+    UnattendMode = FullUnattended
+    OemSkipEula = Yes
+    OemPreinstall = No
+    UnattendSwitch = Yes
+    CrashDumpSetting = 1
+    DriverSigningPolicy = ignore
+    WaitForReboot = no
+    Repartition = yes
 
 [GuiUnattended]
-AdminPassword = "1q2w3eP"
-AutoLogon = Yes
-AutoLogonCount = 5
-OEMSkipRegional = 1
-TimeZone = 85
-OemSkipWelcome = 1
+    AdminPassword = "1q2w3eP"
+    AutoLogon = Yes
+    AutoLogonCount = 1000
+    OEMSkipRegional = 1
+    TimeZone = 85
+    OemSkipWelcome = 1
 
 [UserData]
-FullName = "rhqe"
-OrgName = "REDHAT"
-ComputerName = *
-ProductKey = KVM_TEST_CDKEY
+    ProductKey=KVM_TEST_CDKEY
+    FullName="Autotest Mindless Drone"
+    OrgName="Autotest"
+    ComputerName=*
 
 [LicenseFilePrintData]
-AutoMode=PerServer
-AutoUsers=15
+    AutoMode=PerServer
+    AutoUsers=15
 
 [Identification]
-	DoOldStyleDomainJoin = YES
-	DomainAdmin="Administrator"
-	DomainAdminPassword="1q2w3eP"
     JoinWorkgroup=WORKGROUP
-	JoinDomain="qe.redhat.com"
 
 [Networking]
     InstallDefaultComponents=Yes
@@ -44,20 +40,25 @@ AutoUsers=15
 [Components]
 
 [TerminalServices]
-AllowConnections = 1
-
+    AllowConnections = 1
 
 [WindowsFirewall]
-Profiles = WindowsFirewall.TurnOffFirewall
+    Profiles = WindowsFirewall.TurnOffFirewall
+
 [WindowsFirewall.TurnOffFirewall]
-Mode = 0
+    Mode = 0
 
 [SetupParams]
-local="Local Area Connection"
+    local="Local Area Connection"
+
+[Display]
+    Xresolution=1024
+    YResolution=768
 
 [GuiRunOnce]
-Command0="cmd /c sc config TlntSvr start= auto"
-Command1="cmd /c netsh firewall set opmode disable"
-Command2="cmd /c net start telnet"
-Command3="cmd /c E:\setuprss.bat"
-Command4="cmd /c netsh interface ip set address local dhcp && ping 10.0.2.2 -n 20 && A:\finish.exe 10.0.2.2"
+    Command0="cmd /c sc config TlntSvr start= auto"
+    Command1="cmd /c netsh firewall set opmode disable"
+    Command2="cmd /c net start telnet"
+    Command3="cmd /c E:\setuprss.bat"
+    Command4="cmd /c netsh interface ip set address local dhcp"
+    Command5="cmd /c ping 10.0.2.2 -n 20 && A:\finish.exe 10.0.2.2"
diff --git a/client/tests/kvm/unattended/win2003-64.sif b/client/tests/kvm/unattended/win2003-64.sif
index 1d40d6d..85d4694 100644
--- a/client/tests/kvm/unattended/win2003-64.sif
+++ b/client/tests/kvm/unattended/win2003-64.sif
@@ -1,42 +1,38 @@
 [Data]
-AutoPartition = 1
-MsDosInitiated = 0
-UnattendedInstall = Yes
+    AutoPartition = 1
+    MsDosInitiated = 0
+    UnattendedInstall = Yes
 
 [Unattended]
-UnattendMode = FullUnattended
-OemSkipEula = Yes
-OemPreinstall = No
-UnattendSwitch = Yes
-CrashDumpSetting = 1
-DriverSigningPolicy = ignore
-WaitForReboot = no
-Repartition = yes
+    UnattendMode = FullUnattended
+    OemSkipEula = Yes
+    OemPreinstall = No
+    UnattendSwitch = Yes
+    CrashDumpSetting = 1
+    DriverSigningPolicy = ignore
+    WaitForReboot = no
+    Repartition = yes
 
 [GuiUnattended]
-AdminPassword = "redhat"
-AutoLogon = Yes
-AutoLogonCount = 5
-OEMSkipRegional = 1
-TimeZone = 85
-OemSkipWelcome = 1
+    AdminPassword = "1q2w3eP"
+    AutoLogon = Yes
+    AutoLogonCount = 1000
+    OEMSkipRegional = 1
+    TimeZone = 85
+    OemSkipWelcome = 1
 
 [UserData]
-FullName = "rhqe"
-OrgName = "REDHAT"
-ComputerName = *
-ProductKey = KVM_TEST_CDKEY
+    ProductKey=KVM_TEST_CDKEY
+    FullName="Autotest Mindless Drone"
+    OrgName="Autotest"
+    ComputerName=*
 
 [LicenseFilePrintData]
-AutoMode=PerServer
-AutoUsers=15
+    AutoMode=PerServer
+    AutoUsers=15
 
 [Identification]
-	DoOldStyleDomainJoin = YES
-	DomainAdmin="Administrator"
-	DomainAdminPassword="redhat"
     JoinWorkgroup=WORKGROUP
-	JoinDomain="qe.redhat.com"
 
 [Networking]
     InstallDefaultComponents=Yes
@@ -44,19 +40,25 @@ AutoUsers=15
 [Components]
 
 [TerminalServices]
-AllowConnections = 1
+    AllowConnections = 1
 
 [WindowsFirewall]
-Profiles = WindowsFirewall.TurnOffFirewall
+    Profiles = WindowsFirewall.TurnOffFirewall
+
 [WindowsFirewall.TurnOffFirewall]
-Mode = 0
+    Mode = 0
 
 [SetupParams]
-local="Local Area Connection"
+    local="Local Area Connection"
+
+[Display]
+    Xresolution=1024
+    YResolution=768
 
 [GuiRunOnce]
-Command0="cmd /c sc config TlntSvr start= auto"
-Command1="cmd /c netsh firewall set opmode disable"
-Command2="cmd /c net start telnet"
-Command3="cmd /c E:\setuprss.bat"
-Command4="cmd /c netsh interface ip set address local dhcp && ping 10.0.2.2 -n 20 && A:\finish.exe 10.0.2.2"
+    Command0="cmd /c sc config TlntSvr start= auto"
+    Command1="cmd /c netsh firewall set opmode disable"
+    Command2="cmd /c net start telnet"
+    Command3="cmd /c E:\setuprss.bat"
+    Command4="cmd /c netsh interface ip set address local dhcp"
+    Command5="cmd /c ping 10.0.2.2 -n 20 && A:\finish.exe 10.0.2.2"
diff --git a/client/tests/kvm/unattended/win2008-32-autounattend.xml b/client/tests/kvm/unattended/win2008-32-autounattend.xml
index 07c2889..a1ad315 100644
--- a/client/tests/kvm/unattended/win2008-32-autounattend.xml
+++ b/client/tests/kvm/unattended/win2008-32-autounattend.xml
@@ -57,8 +57,8 @@
                     <WillShowUI>OnError</WillShowUI>
                 </ProductKey>
                 <AcceptEula>true</AcceptEula>
-                <FullName>redhatqe</FullName>
-                <Organization>redhat</Organization>
+                <FullName>Autotest Mindless Drone</FullName>
+                <Organization>Autotest</Organization>
             </UserData>
             <EnableFirewall>false</EnableFirewall>
             <EnableNetwork>true</EnableNetwork>
@@ -117,7 +117,11 @@
                  </SynchronousCommand>
                  <SynchronousCommand wcm:action="add">
                     <Order>6</Order>
-                    <CommandLine>%WINDIR%\System32\cmd /c netsh interface ip set address "Local Area Connection" dhcp &#38;&#38; ping 10.0.2.2 -n 20 &#38;&#38; A:\finish.exe 10.0.2.2</CommandLine>
+                    <CommandLine>%WINDIR%\System32\cmd /c netsh interface ip set address "Local Area Connection" dhcp</CommandLine>
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
+                    <Order>7</Order>
+                    <CommandLine>%WINDIR%\System32\cmd /c ping 10.0.2.2 -n 20 &#38;&#38; A:\finish.exe 10.0.2.2</CommandLine>
                  </SynchronousCommand>
             </FirstLogonCommands>
             <OOBE>
@@ -130,11 +134,11 @@
         <component name="Microsoft-Windows-Shell-Setup" processorArchitecture="x86" publicKeyToken="31bf3856ad364e35" language="neutral" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
             <AutoLogon>
                 <Password>
-                    <Value>cgBlAGQAaABhAHQAUABhAHMAcwB3AG8AcgBkAA==</Value>
-                    <PlainText>false</PlainText>
+                    <Value>1q2w3eP</Value>
+                    <PlainText>true</PlainText>
                 </Password>
                 <Username>Administrator</Username>
-                <LogonCount>5</LogonCount>
+                <LogonCount>1000</LogonCount>
                 <Enabled>true</Enabled>
             </AutoLogon>
         </component>
diff --git a/client/tests/kvm/unattended/win2008-64-autounattend.xml b/client/tests/kvm/unattended/win2008-64-autounattend.xml
index fc996d6..c0c8660 100644
--- a/client/tests/kvm/unattended/win2008-64-autounattend.xml
+++ b/client/tests/kvm/unattended/win2008-64-autounattend.xml
@@ -44,10 +44,12 @@
             </ImageInstall>
             <UserData>
                 <ProductKey>
-                    <WillShowUI>OnError</WillShowUI>
                     <Key>KVM_TEST_CDKEY</Key>
+                    <WillShowUI>OnError</WillShowUI>
                 </ProductKey>
                 <AcceptEula>true</AcceptEula>
+                <FullName>Autotest Mindless Drone</FullName>
+                <Organization>Autotest</Organization>
             </UserData>
         </component>
         <component name="Microsoft-Windows-International-Core-WinPE" processorArchitecture="amd64" publicKeyToken="31bf3856ad364e35" language="neutral" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
@@ -98,34 +100,38 @@
                     <PlainText>true</PlainText>
                 </Password>
                 <Enabled>true</Enabled>
-                <LogonCount>5</LogonCount>
+                <LogonCount>1000</LogonCount>
                 <Username>Administrator</Username>
             </AutoLogon>
             <FirstLogonCommands>
-                <SynchronousCommand wcm:action="add">
+                 <SynchronousCommand wcm:action="add">
                     <Order>1</Order>
                     <CommandLine>%WINDIR%\System32\cmd /c start /w pkgmgr /iu:"TelnetServer"</CommandLine>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>2</Order>
                     <CommandLine>%WINDIR%\System32\cmd /c sc config TlntSvr start= auto</CommandLine>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>3</Order>
                     <CommandLine>%WINDIR%\System32\cmd /c netsh firewall set opmode disable</CommandLine>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>4</Order>
                     <CommandLine>%WINDIR%\System32\cmd /c net start telnet</CommandLine>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>5</Order>
                     <CommandLine>%WINDIR%\System32\cmd /c E:\setuprss.bat</CommandLine>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>6</Order>
-                    <CommandLine>%WINDIR%\System32\cmd /c netsh interface ip set address "Local Area Connection" dhcp &#38;&#38; ping 10.0.2.2 -n 20 &#38;&#38; A:\finish.exe 10.0.2.2</CommandLine>
-                </SynchronousCommand>
+                    <CommandLine>%WINDIR%\System32\cmd /c netsh interface ip set address "Local Area Connection" dhcp</CommandLine>
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
+                    <Order>7</Order>
+                    <CommandLine>%WINDIR%\System32\cmd /c ping 10.0.2.2 -n 20 &#38;&#38; A:\finish.exe 10.0.2.2</CommandLine>
+                 </SynchronousCommand>
             </FirstLogonCommands>
             <OOBE>
                 <HideEULAPage>true</HideEULAPage>
diff --git a/client/tests/kvm/unattended/win2008-r2-autounattend.xml b/client/tests/kvm/unattended/win2008-r2-autounattend.xml
index fc996d6..c0c8660 100644
--- a/client/tests/kvm/unattended/win2008-r2-autounattend.xml
+++ b/client/tests/kvm/unattended/win2008-r2-autounattend.xml
@@ -44,10 +44,12 @@
             </ImageInstall>
             <UserData>
                 <ProductKey>
-                    <WillShowUI>OnError</WillShowUI>
                     <Key>KVM_TEST_CDKEY</Key>
+                    <WillShowUI>OnError</WillShowUI>
                 </ProductKey>
                 <AcceptEula>true</AcceptEula>
+                <FullName>Autotest Mindless Drone</FullName>
+                <Organization>Autotest</Organization>
             </UserData>
         </component>
         <component name="Microsoft-Windows-International-Core-WinPE" processorArchitecture="amd64" publicKeyToken="31bf3856ad364e35" language="neutral" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
@@ -98,34 +100,38 @@
                     <PlainText>true</PlainText>
                 </Password>
                 <Enabled>true</Enabled>
-                <LogonCount>5</LogonCount>
+                <LogonCount>1000</LogonCount>
                 <Username>Administrator</Username>
             </AutoLogon>
             <FirstLogonCommands>
-                <SynchronousCommand wcm:action="add">
+                 <SynchronousCommand wcm:action="add">
                     <Order>1</Order>
                     <CommandLine>%WINDIR%\System32\cmd /c start /w pkgmgr /iu:"TelnetServer"</CommandLine>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>2</Order>
                     <CommandLine>%WINDIR%\System32\cmd /c sc config TlntSvr start= auto</CommandLine>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>3</Order>
                     <CommandLine>%WINDIR%\System32\cmd /c netsh firewall set opmode disable</CommandLine>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>4</Order>
                     <CommandLine>%WINDIR%\System32\cmd /c net start telnet</CommandLine>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>5</Order>
                     <CommandLine>%WINDIR%\System32\cmd /c E:\setuprss.bat</CommandLine>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>6</Order>
-                    <CommandLine>%WINDIR%\System32\cmd /c netsh interface ip set address "Local Area Connection" dhcp &#38;&#38; ping 10.0.2.2 -n 20 &#38;&#38; A:\finish.exe 10.0.2.2</CommandLine>
-                </SynchronousCommand>
+                    <CommandLine>%WINDIR%\System32\cmd /c netsh interface ip set address "Local Area Connection" dhcp</CommandLine>
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
+                    <Order>7</Order>
+                    <CommandLine>%WINDIR%\System32\cmd /c ping 10.0.2.2 -n 20 &#38;&#38; A:\finish.exe 10.0.2.2</CommandLine>
+                 </SynchronousCommand>
             </FirstLogonCommands>
             <OOBE>
                 <HideEULAPage>true</HideEULAPage>
diff --git a/client/tests/kvm/unattended/win7-32-autounattend.xml b/client/tests/kvm/unattended/win7-32-autounattend.xml
index 742915b..a1ad315 100644
--- a/client/tests/kvm/unattended/win7-32-autounattend.xml
+++ b/client/tests/kvm/unattended/win7-32-autounattend.xml
@@ -57,8 +57,8 @@
                     <WillShowUI>OnError</WillShowUI>
                 </ProductKey>
                 <AcceptEula>true</AcceptEula>
-                <FullName>redhatqe</FullName>
-                <Organization>redhat</Organization>
+                <FullName>Autotest Mindless Drone</FullName>
+                <Organization>Autotest</Organization>
             </UserData>
             <EnableFirewall>false</EnableFirewall>
             <EnableNetwork>true</EnableNetwork>
@@ -117,15 +117,16 @@
                  </SynchronousCommand>
                  <SynchronousCommand wcm:action="add">
                     <Order>6</Order>
-                    <CommandLine>%WINDIR%\System32\cmd /c netsh interface ip set address "Local Area Connection" dhcp &#38;&#38; ping 10.0.2.2 -n 20 &#38;&#38; A:\finish.exe 10.0.2.2</CommandLine>
+                    <CommandLine>%WINDIR%\System32\cmd /c netsh interface ip set address "Local Area Connection" dhcp</CommandLine>
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
+                    <Order>7</Order>
+                    <CommandLine>%WINDIR%\System32\cmd /c ping 10.0.2.2 -n 20 &#38;&#38; A:\finish.exe 10.0.2.2</CommandLine>
                  </SynchronousCommand>
             </FirstLogonCommands>
             <OOBE>
-                <HideEULAPage>true</HideEULAPage>
                 <ProtectYourPC>1</ProtectYourPC>
                 <NetworkLocation>Work</NetworkLocation>
-                <SkipUserOOBE>true</SkipUserOOBE>
-                <SkipMachineOOBE>true</SkipMachineOOBE>
             </OOBE>
         </component>
     </settings>
@@ -137,7 +138,7 @@
                     <PlainText>true</PlainText>
                 </Password>
                 <Username>Administrator</Username>
-                <LogonCount>5</LogonCount>
+                <LogonCount>1000</LogonCount>
                 <Enabled>true</Enabled>
             </AutoLogon>
         </component>
diff --git a/client/tests/kvm/unattended/win7-64-autounattend.xml b/client/tests/kvm/unattended/win7-64-autounattend.xml
index fc996d6..c0c8660 100644
--- a/client/tests/kvm/unattended/win7-64-autounattend.xml
+++ b/client/tests/kvm/unattended/win7-64-autounattend.xml
@@ -44,10 +44,12 @@
             </ImageInstall>
             <UserData>
                 <ProductKey>
-                    <WillShowUI>OnError</WillShowUI>
                     <Key>KVM_TEST_CDKEY</Key>
+                    <WillShowUI>OnError</WillShowUI>
                 </ProductKey>
                 <AcceptEula>true</AcceptEula>
+                <FullName>Autotest Mindless Drone</FullName>
+                <Organization>Autotest</Organization>
             </UserData>
         </component>
         <component name="Microsoft-Windows-International-Core-WinPE" processorArchitecture="amd64" publicKeyToken="31bf3856ad364e35" language="neutral" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
@@ -98,34 +100,38 @@
                     <PlainText>true</PlainText>
                 </Password>
                 <Enabled>true</Enabled>
-                <LogonCount>5</LogonCount>
+                <LogonCount>1000</LogonCount>
                 <Username>Administrator</Username>
             </AutoLogon>
             <FirstLogonCommands>
-                <SynchronousCommand wcm:action="add">
+                 <SynchronousCommand wcm:action="add">
                     <Order>1</Order>
                     <CommandLine>%WINDIR%\System32\cmd /c start /w pkgmgr /iu:"TelnetServer"</CommandLine>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>2</Order>
                     <CommandLine>%WINDIR%\System32\cmd /c sc config TlntSvr start= auto</CommandLine>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>3</Order>
                     <CommandLine>%WINDIR%\System32\cmd /c netsh firewall set opmode disable</CommandLine>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>4</Order>
                     <CommandLine>%WINDIR%\System32\cmd /c net start telnet</CommandLine>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>5</Order>
                     <CommandLine>%WINDIR%\System32\cmd /c E:\setuprss.bat</CommandLine>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>6</Order>
-                    <CommandLine>%WINDIR%\System32\cmd /c netsh interface ip set address "Local Area Connection" dhcp &#38;&#38; ping 10.0.2.2 -n 20 &#38;&#38; A:\finish.exe 10.0.2.2</CommandLine>
-                </SynchronousCommand>
+                    <CommandLine>%WINDIR%\System32\cmd /c netsh interface ip set address "Local Area Connection" dhcp</CommandLine>
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
+                    <Order>7</Order>
+                    <CommandLine>%WINDIR%\System32\cmd /c ping 10.0.2.2 -n 20 &#38;&#38; A:\finish.exe 10.0.2.2</CommandLine>
+                 </SynchronousCommand>
             </FirstLogonCommands>
             <OOBE>
                 <HideEULAPage>true</HideEULAPage>
diff --git a/client/tests/kvm/unattended/winvista-32-autounattend.xml b/client/tests/kvm/unattended/winvista-32-autounattend.xml
index 5a0c524..848414e 100644
--- a/client/tests/kvm/unattended/winvista-32-autounattend.xml
+++ b/client/tests/kvm/unattended/winvista-32-autounattend.xml
@@ -77,13 +77,6 @@
         </component>
     </settings>
     <settings pass="oobeSystem">
-        <!-- <component name="Microsoft-Windows-International-Core" processorArchitecture="x86" publicKeyToken="31bf3856ad364e35" language="neutral" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
-            <InputLocale>0409:00000409</InputLocale>
-            <SystemLocale>en-us</SystemLocale>
-            <UILanguage>en-us</UILanguage>
-            <UILanguageFallback>en-us</UILanguageFallback>
-            <UserLocale>en-us</UserLocale>
-        </component> -->
         <component name="Microsoft-Windows-Shell-Setup" processorArchitecture="x86" publicKeyToken="31bf3856ad364e35" language="neutral" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
             <UserAccounts>
                 <AdministratorPassword>
@@ -105,34 +98,38 @@
                     <PlainText>true</PlainText>
                 </Password>
                 <Enabled>true</Enabled>
-                <LogonCount>5</LogonCount>
+                <LogonCount>1000</LogonCount>
                 <Username>Administrator</Username>
             </AutoLogon>
             <FirstLogonCommands>
-                <SynchronousCommand wcm:action="add">
-                    <CommandLine>%WINDIR%\System32\cmd /c start /w pkgmgr /iu:"TelnetServer"</CommandLine>
+                 <SynchronousCommand wcm:action="add">
                     <Order>1</Order>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
-                    <CommandLine>%WINDIR%\System32\cmd /c sc config TlntSvr start= auto</CommandLine>
+                    <CommandLine>%WINDIR%\System32\cmd /c start /w pkgmgr /iu:"TelnetServer"</CommandLine>
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>2</Order>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
-                    <CommandLine>%WINDIR%\System32\cmd /c netsh firewall set opmode disable</CommandLine>
+                    <CommandLine>%WINDIR%\System32\cmd /c sc config TlntSvr start= auto</CommandLine>
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>3</Order>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
-                    <CommandLine>%WINDIR%\System32\cmd /c net start telnet</CommandLine>
+                    <CommandLine>%WINDIR%\System32\cmd /c netsh firewall set opmode disable</CommandLine>
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>4</Order>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
-                    <CommandLine>%WINDIR%\System32\cmd /c E:\setuprss.bat</CommandLine>
+                    <CommandLine>%WINDIR%\System32\cmd /c net start telnet</CommandLine>
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>5</Order>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
-                    <CommandLine>%WINDIR%\System32\cmd /c netsh interface ip set address "Local Area Connection" dhcp &#38;&#38; ping 10.0.2.2 -n 20 &#38;&#38; A:\finish.exe 10.0.2.2</CommandLine>
+                    <CommandLine>%WINDIR%\System32\cmd /c E:\setuprss.bat</CommandLine>
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>6</Order>
-                </SynchronousCommand>
+                    <CommandLine>%WINDIR%\System32\cmd /c netsh interface ip set address "Local Area Connection" dhcp</CommandLine>
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
+                    <Order>7</Order>
+                    <CommandLine>%WINDIR%\System32\cmd /c ping 10.0.2.2 -n 20 &#38;&#38; A:\finish.exe 10.0.2.2</CommandLine>
+                 </SynchronousCommand>
             </FirstLogonCommands>
         </component>
     </settings>
diff --git a/client/tests/kvm/unattended/winvista-64-autounattend.xml b/client/tests/kvm/unattended/winvista-64-autounattend.xml
index bb52123..b036c12 100644
--- a/client/tests/kvm/unattended/winvista-64-autounattend.xml
+++ b/client/tests/kvm/unattended/winvista-64-autounattend.xml
@@ -81,49 +81,55 @@
         <component name="Microsoft-Windows-Shell-Setup" processorArchitecture="amd64" publicKeyToken="31bf3856ad364e35" language="neutral" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
             <UserAccounts>
                 <AdministratorPassword>
-                    <!-- <Value>UABAAHMAcwB3ADAAcgBkAEEAZABtAGkAbgBpAHMAdAByAGEAdABvAHIAUABhAHMAcwB3AG8AcgBkAA==</Value> -->
                     <Value>1q2w3eP</Value>
                     <PlainText>true</PlainText>
                 </AdministratorPassword>
             </UserAccounts>
             <AutoLogon>
                 <Enabled>true</Enabled>
-                <LogonCount>5</LogonCount>
+                <LogonCount>1000</LogonCount>
                 <Username>Administrator</Username>
                 <Password>
-                    <!-- <Value>UABAAHMAcwB3ADAAcgBkAFAAYQBzAHMAdwBvAHIAZAA=</Value> -->
                     <Value>1q2w3eP</Value>
                     <PlainText>true</PlainText>
                 </Password>
             </AutoLogon>
             <OOBE>
                 <HideEULAPage>true</HideEULAPage>
-		<NetworkLocation>Work</NetworkLocation>
-		<ProtectYourPC>1</ProtectYourPC>
-		<SkipUserOOBE>true</SkipUserOOBE>
+                <NetworkLocation>Work</NetworkLocation>
+                <ProtectYourPC>1</ProtectYourPC>
+                <SkipUserOOBE>true</SkipUserOOBE>
                 <SkipMachineOOBE>true</SkipMachineOOBE>
             </OOBE>
             <FirstLogonCommands>
-                <SynchronousCommand wcm:action="add">
-                    <CommandLine>%WINDIR%\System32\cmd /c start /w pkgmgr /iu:"TelnetServer"</CommandLine>
+                 <SynchronousCommand wcm:action="add">
                     <Order>1</Order>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
-                    <CommandLine>%WINDIR%\System32\cmd /c sc config TlntSvr start= auto</CommandLine>
+                    <CommandLine>%WINDIR%\System32\cmd /c start /w pkgmgr /iu:"TelnetServer"</CommandLine>
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>2</Order>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
-                    <CommandLine>%WINDIR%\System32\cmd /c netsh firewall set opmode disable</CommandLine>
+                    <CommandLine>%WINDIR%\System32\cmd /c sc config TlntSvr start= auto</CommandLine>
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>3</Order>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
-                    <CommandLine>%WINDIR%\System32\cmd /c net start telnet</CommandLine>
+                    <CommandLine>%WINDIR%\System32\cmd /c netsh firewall set opmode disable</CommandLine>
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>4</Order>
-                </SynchronousCommand>
-                <SynchronousCommand wcm:action="add">
-                    <CommandLine>%WINDIR%\System32\cmd /c netsh interface ip set address "Local Area Connection" dhcp &#38;&#38; ping 10.0.2.2 -n 20 &#38;&#38; A:\finish.exe 10.0.2.2</CommandLine>
+                    <CommandLine>%WINDIR%\System32\cmd /c net start telnet</CommandLine>
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
                     <Order>5</Order>
-                </SynchronousCommand>
+                    <CommandLine>%WINDIR%\System32\cmd /c E:\setuprss.bat</CommandLine>
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
+                    <Order>6</Order>
+                    <CommandLine>%WINDIR%\System32\cmd /c netsh interface ip set address "Local Area Connection" dhcp</CommandLine>
+                 </SynchronousCommand>
+                 <SynchronousCommand wcm:action="add">
+                    <Order>7</Order>
+                    <CommandLine>%WINDIR%\System32\cmd /c ping 10.0.2.2 -n 20 &#38;&#38; A:\finish.exe 10.0.2.2</CommandLine>
+                 </SynchronousCommand>
             </FirstLogonCommands>
         </component>
         <component name="Microsoft-Windows-International-Core" processorArchitecture="amd64" publicKeyToken="31bf3856ad364e35" language="neutral" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
diff --git a/client/tests/kvm/unattended/winxp32.sif b/client/tests/kvm/unattended/winxp32.sif
index a5456c0..4711a3d 100644
--- a/client/tests/kvm/unattended/winxp32.sif
+++ b/client/tests/kvm/unattended/winxp32.sif
@@ -63,12 +63,11 @@
 [Branding]
     BrandIEUsingUnattended=Yes
 
-[GuiRunOnce]
-   Command0="cmd /c E:\setuprss.bat"
-   Command1="cmd /c netsh interface ip set address local dhcp"
-   Command2="cmd /c ping 10.0.2.2 && A:\finish.exe 10.0.2.2"
-
 [Display]
     Xresolution=1024
     YResolution=768
 
+[GuiRunOnce]
+   Command0="cmd /c E:\setuprss.bat"
+   Command1="cmd /c netsh interface ip set address local dhcp"
+   Command2="cmd /c ping 10.0.2.2 -n 20 && A:\finish.exe 10.0.2.2"