diff --git a/client/tests/kvm/unattended/win2000-32.sif b/client/tests/kvm/unattended/win2000-32.sif
index 8720851..6aa1848 100644
--- a/client/tests/kvm/unattended/win2000-32.sif
+++ b/client/tests/kvm/unattended/win2000-32.sif
@@ -1,73 +1,76 @@
-;SetupMgrTag
 [Data]
-    AutoPartition=1
-    MsDosInitiated="0"
-    UnattendedInstall="Yes"
+AutoPartition = 1
+MsDosInitiated = "0"
+UnattendedInstall = "Yes"
 
 [Unattended]
-    Repartition=Yes
-    UnattendMode=FullUnattended
-    OemSkipEula=Yes
-    OemPreinstall=No
-    TargetPath=\WINDOWS
-    UnattendSwitch=Yes
-    CrashDumpSetting=1
-    DriverSigningPolicy=ignore
-    WaitForReboot=no
+Repartition = Yes
+UnattendMode = FullUnattended
+OemSkipEula = Yes
+OemPreinstall = No
+TargetPath = \WINDOWS
+UnattendSwitch = Yes
+CrashDumpSetting = 1
+DriverSigningPolicy = ignore
+OemPnPDriversPath = KVM_TEST_NETWORK_DRIVER_PATH
+WaitForReboot = no
 
 [GuiUnattended]
-    AdminPassword="1q2w3eP"
-    EncryptedAdminPassword=NO
-    TimeZone=85
-    OemSkipWelcome=1
-    AutoLogon=Yes
-    AutoLogonCount=1000
-    OEMSkipRegional=1
+AdminPassword = "1q2w3eP"
+EncryptedAdminPassword = NO
+TimeZone = 85
+OemSkipWelcome = 1
+AutoLogon = Yes
+AutoLogonCount = 1000
+OEMSkipRegional = 1
 
 [UserData]
-    ProductKey=KVM_TEST_CDKEY
-    FullName="Autotest Mindless Drone"
-    OrgName="Autotest"
-    ComputerName=*
+ProductKey = KVM_TEST_CDKEY
+FullName = "Autotest Mindless Drone"
+OrgName = "Autotest"
+ComputerName = *
 
 [Identification]
-    JoinWorkgroup=WORKGROUP
+JoinWorkgroup = WORKGROUP
 
 [Networking]
-    InstallDefaultComponents=Yes
+InstallDefaultComponents = Yes
 
 [Proxy]
-    Proxy_Enable=0
-    Use_Same_Proxy=0
+Proxy_Enable = 0
+Use_Same_Proxy = 0
 
 [Components]
-    dialer=off
-    media_clips=off
-    media_utopia=off
-    msnexplr=off
-    netoc=off
-    OEAccess=off
-    templates=off
-    WMAccess=off
-    zonegames=off
+dialer = off
+media_clips = off
+media_utopia = off
+msnexplr = off
+netoc = off
+OEAccess = off
+templates = off
+WMAccess = off
+zonegames = off
 
 [TerminalServices]
-    AllowConnections=1
+AllowConnections = 1
 
 [WindowsFirewall]
-    Profiles=WindowsFirewall.TurnOffFirewall
+Profiles = WindowsFirewall.TurnOffFirewall
 
 [WindowsFirewall.TurnOffFirewall]
-    Mode=0
+Mode = 0
 
 [Branding]
-    BrandIEUsingUnattended=Yes
+BrandIEUsingUnattended = Yes
 
 [Display]
-    Xresolution=1024
-    YResolution=768
+Xresolution = 1024
+YResolution = 768
 
 [GuiRunOnce]
-   Command0="cmd /c E:\setuprss.bat"
-   Command1="cmd /c netsh interface ip set address local dhcp"
-   Command2="cmd /c A:\finish.exe"
+Command0 = "cmd /c KVM_TEST_VIRTIO_NETWORK_INSTALLER"
+Command1 = "cmd /c E:\setuprss.bat"
+Command2 = "cmd /c netsh interface ip set address local dhcp"
+Command3 = "cmd /c sc config tlntsvr start= auto"
+Command4 = "cmd /c net start telnet"
+Command5 = "cmd /c A:\finish.exe"
diff --git a/client/tests/kvm/unattended/win2003-32.sif b/client/tests/kvm/unattended/win2003-32.sif
index 207cd2b..6e69b5e 100644
--- a/client/tests/kvm/unattended/win2003-32.sif
+++ b/client/tests/kvm/unattended/win2003-32.sif
@@ -1,66 +1,66 @@
 [Data]
-    AutoPartition = 1
-    MsDosInitiated = 0
-    UnattendedInstall = Yes
+AutoPartition = 1
+MsDosInitiated = 0
+UnattendedInstall = Yes
 
 [Unattended]
-    UnattendMode = FullUnattended
-    OemSkipEula = Yes
-    OemPreinstall = No
-    UnattendSwitch = Yes
-    CrashDumpSetting = 1
-    DriverSigningPolicy = ignore
-    OemPnPDriversPath="KVM_TEST_NETWORK_DRIVER_PATH"
-    WaitForReboot = no
-    Repartition = yes
+UnattendMode = FullUnattended
+OemSkipEula = Yes
+OemPreinstall = No
+UnattendSwitch = Yes
+CrashDumpSetting = 1
+DriverSigningPolicy = ignore
+OemPnPDriversPath = KVM_TEST_NETWORK_DRIVER_PATH
+WaitForReboot = no
+Repartition = yes
 
 [GuiUnattended]
-    AdminPassword = "1q2w3eP"
-    AutoLogon = Yes
-    AutoLogonCount = 1000
-    OEMSkipRegional = 1
-    TimeZone = 85
-    OemSkipWelcome = 1
+AdminPassword = "1q2w3eP"
+AutoLogon = Yes
+AutoLogonCount = 1000
+OEMSkipRegional = 1
+TimeZone = 85
+OemSkipWelcome = 1
 
 [UserData]
-    ProductKey=KVM_TEST_CDKEY
-    FullName="Autotest Mindless Drone"
-    OrgName="Autotest"
-    ComputerName=*
+ProductKey = KVM_TEST_CDKEY
+FullName = "Autotest Mindless Drone"
+OrgName = "Autotest"
+ComputerName = *
 
 [LicenseFilePrintData]
-    AutoMode=PerServer
-    AutoUsers=15
+AutoMode = PerServer
+AutoUsers = 15
 
 [Identification]
-    JoinWorkgroup=WORKGROUP
+JoinWorkgroup = WORKGROUP
 
 [Networking]
-    InstallDefaultComponents=Yes
+InstallDefaultComponents = Yes
 
 [Components]
 
 [TerminalServices]
-    AllowConnections = 1
+AllowConnections = 1
 
 [WindowsFirewall]
-    Profiles = WindowsFirewall.TurnOffFirewall
+Profiles = WindowsFirewall.TurnOffFirewall
 
 [WindowsFirewall.TurnOffFirewall]
-    Mode = 0
+Mode = 0
 
 [SetupParams]
-    local="Local Area Connection"
+local = "Local Area Connection"
 
 [Display]
-    Xresolution=1024
-    YResolution=768
+Xresolution = 1024
+YResolution = 768
 
 [GuiRunOnce]
-    Command0="cmd /c KVM_TEST_VIRTIO_NETWORK_INSTALLER"
-    Command1="cmd /c sc config TlntSvr start= auto"
-    Command2="cmd /c netsh firewall set opmode disable"
-    Command3="cmd /c net start telnet"
-    Command4="cmd /c E:\setuprss.bat"
-    Command5="cmd /c netsh interface ip set address local dhcp"
-    Command6="cmd /c A:\finish.exe"
+Command0 = "cmd /c KVM_TEST_VIRTIO_NETWORK_INSTALLER"
+Command1 = "cmd /c sc config TlntSvr start= auto"
+Command2 = "cmd /c netsh firewall set opmode disable"
+Command3 = "cmd /c net start telnet"
+Command4 = "cmd /c E:\setuprss.bat"
+Command5 = "cmd /c netsh interface ip set address local dhcp"
+Command6 = "cmd /c A:\finish.exe"
diff --git a/client/tests/kvm/unattended/win2003-64.sif b/client/tests/kvm/unattended/win2003-64.sif
index 207cd2b..6e69b5e 100644
--- a/client/tests/kvm/unattended/win2003-64.sif
+++ b/client/tests/kvm/unattended/win2003-64.sif
@@ -1,66 +1,66 @@
 [Data]
-    AutoPartition = 1
-    MsDosInitiated = 0
-    UnattendedInstall = Yes
+AutoPartition = 1
+MsDosInitiated = 0
+UnattendedInstall = Yes
 
 [Unattended]
-    UnattendMode = FullUnattended
-    OemSkipEula = Yes
-    OemPreinstall = No
-    UnattendSwitch = Yes
-    CrashDumpSetting = 1
-    DriverSigningPolicy = ignore
-    OemPnPDriversPath="KVM_TEST_NETWORK_DRIVER_PATH"
-    WaitForReboot = no
-    Repartition = yes
+UnattendMode = FullUnattended
+OemSkipEula = Yes
+OemPreinstall = No
+UnattendSwitch = Yes
+CrashDumpSetting = 1
+DriverSigningPolicy = ignore
+OemPnPDriversPath = KVM_TEST_NETWORK_DRIVER_PATH
+WaitForReboot = no
+Repartition = yes
 
 [GuiUnattended]
-    AdminPassword = "1q2w3eP"
-    AutoLogon = Yes
-    AutoLogonCount = 1000
-    OEMSkipRegional = 1
-    TimeZone = 85
-    OemSkipWelcome = 1
+AdminPassword = "1q2w3eP"
+AutoLogon = Yes
+AutoLogonCount = 1000
+OEMSkipRegional = 1
+TimeZone = 85
+OemSkipWelcome = 1
 
 [UserData]
-    ProductKey=KVM_TEST_CDKEY
-    FullName="Autotest Mindless Drone"
-    OrgName="Autotest"
-    ComputerName=*
+ProductKey = KVM_TEST_CDKEY
+FullName = "Autotest Mindless Drone"
+OrgName = "Autotest"
+ComputerName = *
 
 [LicenseFilePrintData]
-    AutoMode=PerServer
-    AutoUsers=15
+AutoMode = PerServer
+AutoUsers = 15
 
 [Identification]
-    JoinWorkgroup=WORKGROUP
+JoinWorkgroup = WORKGROUP
 
 [Networking]
-    InstallDefaultComponents=Yes
+InstallDefaultComponents = Yes
 
 [Components]
 
 [TerminalServices]
-    AllowConnections = 1
+AllowConnections = 1
 
 [WindowsFirewall]
-    Profiles = WindowsFirewall.TurnOffFirewall
+Profiles = WindowsFirewall.TurnOffFirewall
 
 [WindowsFirewall.TurnOffFirewall]
-    Mode = 0
+Mode = 0
 
 [SetupParams]
-    local="Local Area Connection"
+local = "Local Area Connection"
 
 [Display]
-    Xresolution=1024
-    YResolution=768
+Xresolution = 1024
+YResolution = 768
 
 [GuiRunOnce]
-    Command0="cmd /c KVM_TEST_VIRTIO_NETWORK_INSTALLER"
-    Command1="cmd /c sc config TlntSvr start= auto"
-    Command2="cmd /c netsh firewall set opmode disable"
-    Command3="cmd /c net start telnet"
-    Command4="cmd /c E:\setuprss.bat"
-    Command5="cmd /c netsh interface ip set address local dhcp"
-    Command6="cmd /c A:\finish.exe"
+Command0 = "cmd /c KVM_TEST_VIRTIO_NETWORK_INSTALLER"
+Command1 = "cmd /c sc config TlntSvr start= auto"
+Command2 = "cmd /c netsh firewall set opmode disable"
+Command3 = "cmd /c net start telnet"
+Command4 = "cmd /c E:\setuprss.bat"
+Command5 = "cmd /c netsh interface ip set address local dhcp"
+Command6 = "cmd /c A:\finish.exe"
diff --git a/client/tests/kvm/unattended/winxp32.sif b/client/tests/kvm/unattended/winxp32.sif
index 4696e29..6aa1848 100644
--- a/client/tests/kvm/unattended/winxp32.sif
+++ b/client/tests/kvm/unattended/winxp32.sif
@@ -1,77 +1,76 @@
-;SetupMgrTag
 [Data]
-    AutoPartition=1
-    MsDosInitiated="0"
-    UnattendedInstall="Yes"
+AutoPartition = 1
+MsDosInitiated = "0"
+UnattendedInstall = "Yes"
 
 [Unattended]
-    Repartition=Yes
-    UnattendMode=FullUnattended
-    OemSkipEula=Yes
-    OemPreinstall=No
-    TargetPath=\WINDOWS
-    UnattendSwitch=Yes
-    CrashDumpSetting=1
-    DriverSigningPolicy=ignore
-    OemPnPDriversPath="KVM_TEST_NETWORK_DRIVER_PATH"
-    WaitForReboot=no
+Repartition = Yes
+UnattendMode = FullUnattended
+OemSkipEula = Yes
+OemPreinstall = No
+TargetPath = \WINDOWS
+UnattendSwitch = Yes
+CrashDumpSetting = 1
+DriverSigningPolicy = ignore
+OemPnPDriversPath = KVM_TEST_NETWORK_DRIVER_PATH
+WaitForReboot = no
 
 [GuiUnattended]
-    AdminPassword="1q2w3eP"
-    EncryptedAdminPassword=NO
-    TimeZone=85
-    OemSkipWelcome=1
-    AutoLogon=Yes
-    AutoLogonCount=1000
-    OEMSkipRegional=1
+AdminPassword = "1q2w3eP"
+EncryptedAdminPassword = NO
+TimeZone = 85
+OemSkipWelcome = 1
+AutoLogon = Yes
+AutoLogonCount = 1000
+OEMSkipRegional = 1
 
 [UserData]
-    ProductKey=KVM_TEST_CDKEY
-    FullName="Autotest Mindless Drone"
-    OrgName="Autotest"
-    ComputerName=*
+ProductKey = KVM_TEST_CDKEY
+FullName = "Autotest Mindless Drone"
+OrgName = "Autotest"
+ComputerName = *
 
 [Identification]
-    JoinWorkgroup=WORKGROUP
+JoinWorkgroup = WORKGROUP
 
 [Networking]
-    InstallDefaultComponents=Yes
+InstallDefaultComponents = Yes
 
 [Proxy]
-    Proxy_Enable=0
-    Use_Same_Proxy=0
+Proxy_Enable = 0
+Use_Same_Proxy = 0
 
 [Components]
-    dialer=off
-    media_clips=off
-    media_utopia=off
-    msnexplr=off
-    netoc=off
-    OEAccess=off
-    templates=off
-    WMAccess=off
-    zonegames=off
+dialer = off
+media_clips = off
+media_utopia = off
+msnexplr = off
+netoc = off
+OEAccess = off
+templates = off
+WMAccess = off
+zonegames = off
 
 [TerminalServices]
-    AllowConnections=1
+AllowConnections = 1
 
 [WindowsFirewall]
-    Profiles=WindowsFirewall.TurnOffFirewall
+Profiles = WindowsFirewall.TurnOffFirewall
 
 [WindowsFirewall.TurnOffFirewall]
-    Mode=0
+Mode = 0
 
 [Branding]
-    BrandIEUsingUnattended=Yes
+BrandIEUsingUnattended = Yes
 
 [Display]
-    Xresolution=1024
-    YResolution=768
+Xresolution = 1024
+YResolution = 768
 
 [GuiRunOnce]
-   Command0="cmd /c KVM_TEST_VIRTIO_NETWORK_INSTALLER"
-   Command1="cmd /c E:\setuprss.bat"
-   Command2="cmd /c netsh interface ip set address local dhcp"
-   Command3="cmd /c sc config tlntsvr start= auto"
-   Command4="cmd /c net start telnet"
-   Command5="cmd /c A:\finish.exe"
+Command0 = "cmd /c KVM_TEST_VIRTIO_NETWORK_INSTALLER"
+Command1 = "cmd /c E:\setuprss.bat"
+Command2 = "cmd /c netsh interface ip set address local dhcp"
+Command3 = "cmd /c sc config tlntsvr start= auto"
+Command4 = "cmd /c net start telnet"
+Command5 = "cmd /c A:\finish.exe"
diff --git a/client/tests/kvm/unattended/winxp64.sif b/client/tests/kvm/unattended/winxp64.sif
index 4696e29..6aa1848 100644
--- a/client/tests/kvm/unattended/winxp64.sif
+++ b/client/tests/kvm/unattended/winxp64.sif
@@ -1,77 +1,76 @@
-;SetupMgrTag
 [Data]
-    AutoPartition=1
-    MsDosInitiated="0"
-    UnattendedInstall="Yes"
+AutoPartition = 1
+MsDosInitiated = "0"
+UnattendedInstall = "Yes"
 
 [Unattended]
-    Repartition=Yes
-    UnattendMode=FullUnattended
-    OemSkipEula=Yes
-    OemPreinstall=No
-    TargetPath=\WINDOWS
-    UnattendSwitch=Yes
-    CrashDumpSetting=1
-    DriverSigningPolicy=ignore
-    OemPnPDriversPath="KVM_TEST_NETWORK_DRIVER_PATH"
-    WaitForReboot=no
+Repartition = Yes
+UnattendMode = FullUnattended
+OemSkipEula = Yes
+OemPreinstall = No
+TargetPath = \WINDOWS
+UnattendSwitch = Yes
+CrashDumpSetting = 1
+DriverSigningPolicy = ignore
+OemPnPDriversPath = KVM_TEST_NETWORK_DRIVER_PATH
+WaitForReboot = no
 
 [GuiUnattended]
-    AdminPassword="1q2w3eP"
-    EncryptedAdminPassword=NO
-    TimeZone=85
-    OemSkipWelcome=1
-    AutoLogon=Yes
-    AutoLogonCount=1000
-    OEMSkipRegional=1
+AdminPassword = "1q2w3eP"
+EncryptedAdminPassword = NO
+TimeZone = 85
+OemSkipWelcome = 1
+AutoLogon = Yes
+AutoLogonCount = 1000
+OEMSkipRegional = 1
 
 [UserData]
-    ProductKey=KVM_TEST_CDKEY
-    FullName="Autotest Mindless Drone"
-    OrgName="Autotest"
-    ComputerName=*
+ProductKey = KVM_TEST_CDKEY
+FullName = "Autotest Mindless Drone"
+OrgName = "Autotest"
+ComputerName = *
 
 [Identification]
-    JoinWorkgroup=WORKGROUP
+JoinWorkgroup = WORKGROUP
 
 [Networking]
-    InstallDefaultComponents=Yes
+InstallDefaultComponents = Yes
 
 [Proxy]
-    Proxy_Enable=0
-    Use_Same_Proxy=0
+Proxy_Enable = 0
+Use_Same_Proxy = 0
 
 [Components]
-    dialer=off
-    media_clips=off
-    media_utopia=off
-    msnexplr=off
-    netoc=off
-    OEAccess=off
-    templates=off
-    WMAccess=off
-    zonegames=off
+dialer = off
+media_clips = off
+media_utopia = off
+msnexplr = off
+netoc = off
+OEAccess = off
+templates = off
+WMAccess = off
+zonegames = off
 
 [TerminalServices]
-    AllowConnections=1
+AllowConnections = 1
 
 [WindowsFirewall]
-    Profiles=WindowsFirewall.TurnOffFirewall
+Profiles = WindowsFirewall.TurnOffFirewall
 
 [WindowsFirewall.TurnOffFirewall]
-    Mode=0
+Mode = 0
 
 [Branding]
-    BrandIEUsingUnattended=Yes
+BrandIEUsingUnattended = Yes
 
 [Display]
-    Xresolution=1024
-    YResolution=768
+Xresolution = 1024
+YResolution = 768
 
 [GuiRunOnce]
-   Command0="cmd /c KVM_TEST_VIRTIO_NETWORK_INSTALLER"
-   Command1="cmd /c E:\setuprss.bat"
-   Command2="cmd /c netsh interface ip set address local dhcp"
-   Command3="cmd /c sc config tlntsvr start= auto"
-   Command4="cmd /c net start telnet"
-   Command5="cmd /c A:\finish.exe"
+Command0 = "cmd /c KVM_TEST_VIRTIO_NETWORK_INSTALLER"
+Command1 = "cmd /c E:\setuprss.bat"
+Command2 = "cmd /c netsh interface ip set address local dhcp"
+Command3 = "cmd /c sc config tlntsvr start= auto"
+Command4 = "cmd /c net start telnet"
+Command5 = "cmd /c A:\finish.exe"